/* ================================ *\
    BODY / HTML
\* ================================ */
body {
    position: relative;
    min-height: 100vh;
    @include _font-paragraph();
    @include _font-size($font-size-paragraph);

    background: $color-background;

    &.-no-scroll {
        height: 100vh;
        overflow: hidden;
    }
}

p {
    @include _reset-alignment();
    @include _font-paragraph();
    margin-bottom: 10px;
}

hr {
    display: block;
    position: relative;
    height: 1px;
    margin: $grid-gap*2 0;
    padding: 0;
    background: transparent;
    border: 0;
}

small {
    font-size: 70%;
}

a {
    text-decoration: none;
    color: $color-primary;
}

main > div[id] {
    min-height: 100vh;
    @include _display-flex(flex, stretch, flex-start, column);

    > .-spacer {
        flex: 1;
    }
}